Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 625148 - RFE: Please upgrade to 0.6 so that trac 0.12 can be used
RFE: Please upgrade to 0.6 so that trac 0.12 can be used
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-genshi (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Dave Malcolm
qe-baseos-daemons
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-18 13:57 EDT by Jesse Keating
Modified: 2013-01-09 22:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-09 14:14:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
For reference, the diff between the prepped python-genshi-0.5.1-7.1.src.rpm, and Genshi-0.6.tar.gz2 (1.44 MB, patch)
2010-08-19 17:58 EDT, Dave Malcolm
no flags Details | Diff

  None (edit)
Description Jesse Keating 2010-08-18 13:57:49 EDT
The Trac maintainer tells me that in order to use the current supported trac (0.12) in EPEL6 we need at least python-genshi 0.6.  Right now 0.5.x is shipped.  Would it be possible to update it?
Comment 2 RHEL Product and Program Management 2010-08-18 14:17:35 EDT
This feature request has been proposed after Feature Freeze and we
are unable to resolve it in time for the current Red Hat Enterprise
Linux release. It has been denied for the current release and
proposed for the next Red Hat Enterprise Linux release.
Comment 3 Dave Malcolm 2010-08-19 15:43:19 EDT
Upstream notes on changes in 0.6.0:
  http://genshi.edgewall.org/browser/tags/0.6.0/ChangeLog
Comment 4 Dave Malcolm 2010-08-19 17:58:20 EDT
Created attachment 439805 [details]
For reference, the diff between the prepped python-genshi-0.5.1-7.1.src.rpm, and Genshi-0.6.tar.gz2
Comment 10 Dave Malcolm 2011-06-09 14:12:50 EDT
Note that there's now a python-genshi06 in EPEL6:
  https://admin.fedoraproject.org/pkgdb/acls/name/python-genshi06

and that EPEL6 now has Trac 0.12:
  http://koji.fedoraproject.org/koji/packageinfo?packageID=4008

albeit with some patching:
http://pkgs.fedoraproject.org/gitweb/?p=trac.git;a=commitdiff;h=0a3ce7730d155e2e81a88b915be2c130b93df2f0

http://pkgs.fedoraproject.org/gitweb/?p=trac.git;a=commitdiff;h=310803ecd541d28fc6d23786e502221d3eca3054

So it would seem that the initial motivation for this has been resolved, from the EPEL side.
Comment 11 RHEL Product and Program Management 2011-06-09 14:14:56 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.